org.apache.fop.render.pdf.pdfbox

## Class PreloaderImageRawData

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
  - - org.apache.fop.render.pdf.pdfbox.PreloaderImageRawData

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImagePreloader

      public class PreloaderImageRawData
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreloaderImageRawData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlgraphics.image.loader.ImageInfo` | `preloadImage(java.lang.String s, javax.xml.transform.Source source, org.apache.xmlgraphics.image.loader.ImageContext imageContext)`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

      `getHeader, getPriority`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreloaderImageRawData

          public PreloaderImageRawData()

  - ### Method Detail

    - #### preloadImage

          public org.apache.xmlgraphics.image.loader.ImageInfo preloadImage(java.lang.String s,
                                                                            javax.xml.transform.Source source,
                                                                            org.apache.xmlgraphics.image.loader.ImageContext imageContext)
                                                                     throws org.apache.xmlgraphics.image.loader.ImageException,
                                                                            java.io.IOException

      Throws:
        `org.apache.xmlgraphics.image.loader.ImageException`
        `java.io.IOException`

Copyright 2007-2024 The Apache Software Foundation. All Rights Reserved.